## php.java.script
Interface IPhpScriptContext

All Superinterfaces:
  Invocable

All Known Implementing Classes:
  PhpFacesScriptContext, PhpScriptContext, PhpSimpleHttpScriptContext

    public interface IPhpScriptContext

extends Invocable

Common methods for all PHP ScriptContexts

Author:
  jostb

Method Summary
`HttpProxy` `getContinuation()` Get the php continuation
`java.io.Writer` `getWriter()` Returns the Writer
`void` `setContinuation(HttpProxy kont)` Set the php continuation
`void` `setWriter(java.io.Writer writer)` Set the Writer

Methods inherited from interface php.java.bridge.Invocable
`call`

Method Detail

### getWriter

    java.io.Writer getWriter()

  Returns the Writer

  Returns:
    The writer

### setWriter

    void setWriter(java.io.Writer writer)

  Set the Writer

  Parameters:
    `writer` - The writer

### setContinuation

    void setContinuation(HttpProxy kont)

  Set the php continuation

  Parameters:
    `kont` - The continuation.

### getContinuation

    HttpProxy getContinuation()

  Get the php continuation

  Returns:
    The HttpProxy